Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/IntegerVectorPushBenchmarkSuiteProblem.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/IntegerVectorPushBenchmarkSuiteProblem.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/IntegerVectorPushBenchmarkSuiteProblem.cs	(revision 15771)
@@ -1,19 +1,10 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem.BenchmarkSuite {
+﻿using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.BenchmarkSuite;
+using HeuristicLab.BenchmarkSuite.Problems;
+using HeuristicLab.Problems.Instances;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-  using Common;
-  using Configuration;
-  using Core;
-
-  using HeuristicLab.BenchmarkSuite;
-  using HeuristicLab.BenchmarkSuite.Problems;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Evaluator;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Solution;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Solution.BenchmarkSuite;
-
-  using Instances;
-  using Persistence.Default.CompositeSerializers.Storable;
-  using Stack;
-
+namespace HeuristicLab.Problems.ProgramSynthesis {
   [StorableClass]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 180)]
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/PlushPushBenchmarkSuiteProblem.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/PlushPushBenchmarkSuiteProblem.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/PlushPushBenchmarkSuiteProblem.cs	(revision 15771)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem.BenchmarkSuite {
+﻿namespace HeuristicLab.Problems.ProgramSynthesis {
   using HeuristicLab.BenchmarkSuite;
   using HeuristicLab.BenchmarkSuite.Problems;
@@ -6,10 +6,4 @@
   using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
   using HeuristicLab.Problems.Instances;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Configuration;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Evaluator;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Solution;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Solution.BenchmarkSuite;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Stack;
 
   [StorableClass]
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/DataBounds.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/DataBounds.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/DataBounds.cs	(revision 15771)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem {
+﻿namespace HeuristicLab.Problems.ProgramSynthesis {
   using HeuristicLab.Common;
   using HeuristicLab.Core;
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/IntegerVectorPushProblem.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/IntegerVectorPushProblem.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/IntegerVectorPushProblem.cs	(revision 15771)
@@ -1,17 +1,9 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem {
-  using System.Linq;
+﻿using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.IntegerVectorEncoding;
+using HeuristicLab.Optimization;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-  using Common;
-  using Configuration;
-  using HeuristicLab.Encodings.IntegerVectorEncoding;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Analyzer;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Evaluator;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Individual;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.SolutionCreator;
-
-  using Optimization;
-  using Persistence.Default.CompositeSerializers.Storable;
-
+namespace HeuristicLab.Problems.ProgramSynthesis {
   [StorableClass]
   public abstract class IntegerVectorPushProblem : PushProblemBase<IntegerVectorEncoding> {
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PlushPushProblem.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PlushPushProblem.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PlushPushProblem.cs	(revision 15771)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem {
+﻿namespace HeuristicLab.Problems.ProgramSynthesis {
   using System.Diagnostics;
   using System.Linq;
@@ -6,8 +6,4 @@
   using HeuristicLab.Optimization;
   using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Analyzer;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Encoding;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Evaluator;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
 
   [StorableClass]
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblem.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblem.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblem.cs	(revision 15771)
@@ -5,5 +5,5 @@
 using System.Threading.Tasks;
 
-namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem
+namespace HeuristicLab.Problems.ProgramSynthesis {
 {
     public class PushProblem
Index: branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblemBase.cs
===================================================================
--- addons/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblemBase.cs	(revision 15692)
+++ branches/2895_PushGP_GenealogyAnalysis/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblemBase.cs	(revision 15771)
@@ -1,20 +1,13 @@
 ﻿using System;
 using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Random;
 
-namespace HeuristicLab.Problems.ProgramSynthesis.Push.Problem {
-  using HeuristicLab.Common;
-  using HeuristicLab.Core;
-  using HeuristicLab.Data;
-  using HeuristicLab.Optimization;
-  using HeuristicLab.Parameters;
-  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Configuration;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Evaluator;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Interpreter;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.ObjectPools.Random;
-  using HeuristicLab.Problems.ProgramSynthesis.Push.Solution;
-  using HeuristicLab.Random;
-
+namespace HeuristicLab.Problems.ProgramSynthesis {
   [StorableClass]
   public abstract class PushProblemBase<T> : SingleObjectiveBasicProblem<T> where T : class, IEncoding {
